datum Struct Reference

`#include <sdbm.h>`

## Data Fields

char * | dptr
int | dsize

## Detailed Description

Definition at line 50 of file sdbm.h.

## Field Documentation

char* datum::dptr

Definition at line 51 of file sdbm.h.

Referenced by delpair(), duppair(), fdbm_clear(), fdbm_delete(), fdbm_delete_if(), fdbm_each_key(), fdbm_each_pair(), fdbm_each_value(), fdbm_empty_p(), fdbm_fetch(), fdbm_has_key(), fdbm_has_value(), fdbm_invert(), fdbm_key(), fdbm_keys(), fdbm_length(), fdbm_select(), fdbm_shift(), fdbm_store(), fdbm_to_a(), fdbm_to_hash(), fdbm_values(), fgdbm_clear(), fgdbm_empty_p(), fgdbm_has_key(), fgdbm_length(), fgdbm_store(), fgdbm_values(), fsdbm_clear(), fsdbm_delete(), fsdbm_delete_if(), fsdbm_each_key(), fsdbm_each_pair(), fsdbm_each_value(), fsdbm_empty_p(), fsdbm_fetch(), fsdbm_has_key(), fsdbm_has_value(), fsdbm_invert(), fsdbm_key(), fsdbm_keys(), fsdbm_length(), fsdbm_select(), fsdbm_shift(), fsdbm_store(), fsdbm_to_a(), fsdbm_to_hash(), fsdbm_values(), getnext(), getnkey(), getpair(), putpair(), rb_gdbm_delete(), rb_gdbm_fetch(), rb_gdbm_fetch2(), rb_gdbm_firstkey(), rb_gdbm_nextkey(), and splpage().

int datum::dsize

Definition at line 52 of file sdbm.h.

Referenced by delpair(), duppair(), fdbm_delete(), fdbm_delete_if(), fdbm_each_key(), fdbm_each_pair(), fdbm_each_value(), fdbm_fetch(), fdbm_has_key(), fdbm_has_value(), fdbm_invert(), fdbm_key(), fdbm_keys(), fdbm_select(), fdbm_shift(), fdbm_store(), fdbm_to_a(), fdbm_to_hash(), fdbm_values(), fgdbm_has_key(), fgdbm_store(), fsdbm_delete(), fsdbm_delete_if(), fsdbm_each_key(), fsdbm_each_pair(), fsdbm_each_value(), fsdbm_fetch(), fsdbm_has_key(), fsdbm_has_value(), fsdbm_invert(), fsdbm_key(), fsdbm_keys(), fsdbm_select(), fsdbm_shift(), fsdbm_store(), fsdbm_to_a(), fsdbm_to_hash(), fsdbm_values(), getnkey(), getpair(), putpair(), rb_gdbm_delete(), rb_gdbm_fetch(), rb_gdbm_fetch2(), rb_gdbm_firstkey(), rb_gdbm_nextkey(), sdbm_store(), and splpage().

The documentation for this struct was generated from the following file:

- ext/sdbm/sdbm.h